# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::RenderStateSlot Struct Reference

`#include <RenderState.hpp>`

List of all members.

## Public Member Functions

| RenderStateSlot ()
| RenderStateSlot (RenderState *rs, int index)
virtual | ~RenderStateSlot ()
virtual void | apply (const Camera *camera, OpenGLContext *ctx) const
ERenderState | type () const

## Public Attributes

ref< RenderState > | mRS
int | mIndex

## Detailed Description

Definition at line 95 of file RenderState.hpp.

## Constructor & Destructor Documentation

vl::RenderStateSlot::RenderStateSlot | ( | ) | `[inline]`

Definition at line 97 of file RenderState.hpp.

vl::RenderStateSlot::RenderStateSlot | ( | RenderState * | rs,
|  | int | index
| ) |  | `[inline]`

Definition at line 98 of file RenderState.hpp.

virtual vl::RenderStateSlot::~RenderStateSlot | ( | ) | `[inline, virtual]`

Definition at line 99 of file RenderState.hpp.

## Member Function Documentation

virtual void vl::RenderStateSlot::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[inline, virtual]`

Definition at line 101 of file RenderState.hpp.

References mIndex, and mRS.

Referenced by vl::OpenGLContext::applyRenderStates().

ERenderState vl::RenderStateSlot::type | ( | ) | const`[inline]`

Definition at line 103 of file RenderState.hpp.

References mIndex, and mRS.

Referenced by vl::OpenGLContext::applyRenderStates(), and vl::Rendering::fillRenderQueue().

## Member Data Documentation

ref<RenderState> vl::RenderStateSlot::mRS

Definition at line 111 of file RenderState.hpp.

Referenced by apply(), vl::OpenGLContext::applyRenderStates(), vl::VLXClassWrapper_Shader::exportShader(), vl::Rendering::fillRenderQueue(), and type().

int vl::RenderStateSlot::mIndex

Definition at line 112 of file RenderState.hpp.

Referenced by apply(), vl::VLXClassWrapper_Shader::exportShader(), and type().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderState.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.